<?php

namespace App\Http\Controllers\Peertube\Videos;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Http\Controllers\Peertube\Common;
// use Illuminate\Support\Facades\Log;

class Overview extends Common {
  private $common;

  public function __construct () {
    $this->common = new Common;
  }

  public function index () {
    $res = [
      'page' => 'dummy',
      'userinfo' => $this->common->user,
    ];
    // $res['owner'] = $this->getOwner($id);
    return view('pages.peertube.notyet', ['res' => $res]);
  }

  function getOwner ($id) {
    //https://video.076.ne.jp/api/v1/overviews/videos?page=1
    return $this->ptapi_get('/api/v1/accounts/'.$id);
  }
}
