<?php

namespace App\Http\Controllers\Peertube\Videos;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Http\Controllers\Peertube\Common;
// use Illuminate\Support\Facades\Log;

class Recentlyadded extends Common {
  private $common;

  public function __construct () {
    $this->common = new Common;
  }

  public function index () {
    $res = [
      'page' => 'videoslist',
      'userinfo' => $this->common->user,
    ];
    $res['video'] = $this->getVideo();
    return view('pages.peertube.videos.recentlyadded', ['res' => $res]);
  }

  function getVideo () {
    $get = $this->ptapi_get('/api/v1/videos/?start=0&count=25&sort=-publishedAt&skipCount=true&nsfw=both');
    return $this->vidlist($get);
  }
}
